<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Product\Models;

use Illuminate\Database\Eloquent\Model;

class ProductVariety extends Model
{

   protected $connection = 'dynamicdb';
   protected $table = "produto.produto_variedade";
   protected $primaryKey = "prv_codigo";
   protected $fillable = [
      "prv_codigo",
      "prv_descricao",
      "prv_valor_compra",
      "prv_custo_total",
      "prv_margem_lucro",
      "prv_valor_venda",
      "prv_date_insert",
      "prv_user_insert",
      "prv_date_update",
      "prv_status",
      "prv_user_update"
   ];
   const CREATED_AT = "prv_date_insert";
   const CREATED_BY = "prv_user_insert";
   const UPDATED_AT = "prv_date_update";
   const UPDATED_BY = "prv_user_update";

   protected $casts = [
      'prv_status' => 'string',
   ];

   public function product(){
      return $this->belongsTo(Product::class, 'prv_fk_pro_codigo');
   }

   public function product_variety_pack(){
      return $this->hasMany(ProductVarietyPack::class, 'pve_fk_prv_codigo')->with('measurement_unit');
   }

   public function product_mobile()
   {
       return $this->belongsTo(Product::class, 'prv_fk_pro_codigo');
   }

}
